Bug 231899 - security/botan2: update to 2.8.0
Summary: security/botan2: update to 2.8.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-03 08:00 UTC by Ralf van der Enden
Modified: 2018-10-05 16:44 UTC (History)
2 users (show)

See Also:


Attachments
Update to Botan 2.8.0 (1.86 KB, patch)
2018-10-03 08:00 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff
Bump PORTREVISION of dependent ports (1.08 KB, patch)
2018-10-03 08:02 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff
Update to 2.8.0 (including simplify stripping of binaries) (1.93 KB, patch)
2018-10-03 14:00 UTC, Ralf van der Enden
tremere: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ralf van der Enden 2018-10-03 08:00:42 UTC
Created attachment 197732 [details]
Update to Botan 2.8.0

Full changelog: https://botan.randombit.net/news.html#version-2-8-0-2018-10-01

Also bump PORTREVISION of dependent ports
Comment 1 Ralf van der Enden 2018-10-03 08:02:01 UTC
Created attachment 197734 [details]
Bump PORTREVISION of dependent ports
Comment 2 Nathan 2018-10-03 13:08:34 UTC
Comment on attachment 197734 [details]
Bump PORTREVISION of dependent ports

Why are you bumping dependent ports?
Comment 3 Nathan 2018-10-03 13:11:16 UTC
Comment on attachment 197732 [details]
Update to Botan 2.8.0

I would just do 
${STRIP_CMD} bin/botan lib/libbotan-2.so.8.8.0 
Instead of using a for loop for just two files
Comment 4 Ralf van der Enden 2018-10-03 13:43:00 UTC
(In reply to Nathan from comment #2)

Because the shlib changed from .7 to .8 and not everybody uses poudriere to build their ports.

If that's not necessary I'll just omit the extra patch for the next update.
Comment 5 Ralf van der Enden 2018-10-03 13:44:34 UTC
(In reply to Nathan from comment #3)

You're right. I copied this from another port that had more executables/libs to strip, but you're suggestion makes things simpler. I'll change that and replace the patch.
Comment 6 Ralf van der Enden 2018-10-03 14:00:45 UTC
Created attachment 197743 [details]
Update to 2.8.0 (including simplify stripping of binaries)
Comment 7 Fernando Apesteguía freebsd_committer 2018-10-03 16:59:25 UTC
Take
Comment 8 Fernando Apesteguía freebsd_committer 2018-10-04 16:48:31 UTC
Hi Ralf,

Any reason not to bump PORTREVISION for dns/powerdns-recursor40?
Comment 9 Ralf van der Enden 2018-10-05 06:33:55 UTC
(In reply to Fernando Apesteguía from comment #8)

I was under the impression that port was already gone, since it only exists for FreeBSD 10.3 and below which are all EoL.

I can redo the patch to include powerdns-recursor40 and put an expiry on powerdns-recuror40 (31-12-2018?) Does that sound reasonable ?
Comment 10 Fernando Apesteguía freebsd_committer 2018-10-05 16:12:56 UTC
(In reply to Ralf van der Enden from comment #9)

The port builds fine in {10.4,11.2}{amd64,i386} and 12i386, it is "only" marked as BROKEN in archs other than amd64 and i386. I will bump PORTREVISION for that one too.
Comment 11 commit-hook freebsd_committer 2018-10-05 16:42:32 UTC
A commit references this bug:

Author: fernape
Date: Fri Oct  5 16:42:26 UTC 2018
New revision: 481285
URL: https://svnweb.freebsd.org/changeset/ports/481285

Log:
  security/botan2: update to 2.8.0

  * Bump PORTREVISION for dependent ports
  * While here do some cleanup to the Makefile.

  ChangeLog: https://botan.randombit.net/news.html#version-2-8-0-2018-10-01

  PR:	231899
  Submitted by:	tremere@cainites.net
  Approved by:	tcberner (mentor)
  Differential Revision:	https://reviews.freebsd.org/D17413

Changes:
  head/dns/powerdns/Makefile
  head/dns/powerdns-recursor/Makefile
  head/dns/powerdns-recursor40/Makefile
  head/editors/encryptpad/Makefile
  head/security/botan2/Makefile
  head/security/botan2/distinfo
  head/security/botan2/pkg-plist
Comment 12 Fernando Apesteguía freebsd_committer 2018-10-05 16:44:10 UTC
Committed,

Thank you very much for the submission!